Contrats et propositions
Quote Breakdown
Authorization
bearerAuth COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USERAuthorizationBearer <token>
Jeton obtenu via POST /provider/token. Les valeurs listées par opération sont les rôles acceptés.
In: header
Scope: COMPANY_ADMIN, BROKER_ADMIN, SOUSCRIPTEUR, SUPERVISEUR, ACCOUNTANT, CLAIMS_HANDLER, BROKER_USER
Path Parameters
contractId*string
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://apigw-pp.pooltpv.app/subscription/api/v1/provider/contracts/tarification/string/quote-breakdown"{
"feeBreakdown": [
{
"key": "PRIME_NETTE",
"label": "Prime nette",
"amount": 0
}
],
"total": 0,
"contractEndorsementId": "string"
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}{
"status": 404,
"title": "Élément introuvable",
"detail": "Contract not found",
"exception": "CONTRACT_NOT_FOUND",
"instance": "/api/v1/provider/contracts/abc",
"details": {
"property1": "string",
"property2": "string"
}
}